<?php

defined('MOODLE_INTERNAL') || die();

mb2_add_shortcode( 'mb2pb_accordionimg', 'mb2_shortcode_mb2pb_accordionimg' );
mb2_add_shortcode( 'mb2pb_accordionimg_item', 'mb2_shortcode_mb2pb_accordionimg_item' );

function mb2_shortcode_mb2pb_accordionimg( $atts, $content = null ){

	global $PAGE;

	$atts2 = array(
		'id' => 'accordionimg',
		'custom_class' => '',
		'navw' => 280,
		'space' => 2,
		'vspace' => 1,
		'tfs' => 1.4,
		'tfw' => 'global',
		'tcolor' => '',
		'bcolor' => '',
		'pluscolor' => '',
		'mt' => 0,
		'mb' => 30,
		'template' => ''
	);

	extract( mb2_shortcode_atts( $atts2, $atts ) );

	$output = '';
	$style = '';
	$cls = '';

	// Get accordion uniq id and send it as global
	$GLOBALS['mb2acctfw'] = $tfw;

	$cls .= $custom_class ? ' ' . $custom_class : '';
	$cls .= $template ? ' mb2-pb-template-accordionimg' : '';

	$style .= ' style="';
	$style .= 'margin-top:' . $mt . 'px;';
	$style .= 'margin-bottom:' . $mb . 'px;';
	$style .= '--mb2-pb-accimg-navw:' . $navw . 'px;';
	$style .= '--mb2-pb-accimg-space:' . $space . 'rem;';
	$style .= '--mb2-pb-accimg-vspace:' . $vspace . 'rem;';	
	$style .= '--mb2-pb-accimg-tfs:' . $tfs . 'rem;';
	$style .= $tcolor ? '--mb2-pb-accimg-tcolor:' . $tcolor . ';' : '';
	$style .= $bcolor ? '--mb2-pb-accimg-bcolor:' . $bcolor . ';' : '';
	$style .= $pluscolor ? '--mb2-pb-accimg-pluscolor:' . $pluscolor . ';' : '';
	
	$style .= '"';

	if ( ! $content )
	{
		for ( $i = 1; $i <= 3; $i++ )
		{
			$content .= '[mb2pb_accordionimg_item][/mb2pb_accordionimg_item]';
		}
	}

	$output .= '<div class="mb2-pb-element mb2-pb-accordionimg' . $cls . '"' . $style . theme_mb2nl_page_builder_el_datatts( $atts, $atts2 ) . '>';
	$output .= '<div class="element-helper"></div>';
	$output .= theme_mb2nl_page_builder_el_actions( 'element', 'accordionimg' );
	$output .= '<div class="mb2-pb-element-inner mb2-pb-accordionimg_inner">';
	$output .= '<div class="mb2-pb-sortable-subelements accimg-nav">';
	$output .= mb2_do_shortcode( $content );
	$output .= '</div>';
	$output .= '<div class="accimg-img-preview">';
	$output .= '<div class="accimg-preview-inner">';
	$output .= '<img src="' . theme_mb2nl_page_builder_demo_image('800x600') . '" alt="">';
	$output .= '</div>';
	$output .= '</div>';
	$output .= '</div>';
	$output .= '</div>';

	// Unset accordion global values
	unset( $GLOBALS['mb2acctfw'] );
	unset( $GLOBALS['accitem'] );

	return $output;

}



function mb2_shortcode_mb2pb_accordionimg_item( $atts, $content = null )
{
	$atts2 = array(
		'id' => 'accordionimg_item',
		'title' => 'Accordion title here',
		'image' => theme_mb2nl_page_builder_demo_image('800x600'),
		'template' => ''
	);

	extract( mb2_shortcode_atts( $atts2, $atts ) );

	$output = '';
	$show = '';
	$tcls = ' fw' . $GLOBALS['mb2acctfw'];
	$style = '';

	// Define accordion number
	if ( isset( $GLOBALS['accitem'] ) )
	{
		$GLOBALS['accitem']++;
	}
	else
	{
		$GLOBALS['accitem'] = 1;
	}

	// Activate the first item
	if( $GLOBALS['accitem'] == 1 )
	{
		$show = ' show';
	}

	$content = $content ? $content : 'Accordion content here.';
	$atts2['text'] = $content;

	$output .= '<div class="mb2-pb-subelement mb2-pb-accordionimg_item"' . theme_mb2nl_page_builder_el_datatts( $atts, $atts2 ) . '>';
	$output .= theme_mb2nl_page_builder_el_actions( 'subelement' );
	$output .= '<div class="subelement-helper"></div>';
	$output .= '<div class="mb2-pb-subelement-inner">';

	$output .= '<div class="accimg-item' . $show . '">';
	$output .= '<div class="accimg-header">';
	$output .= '<button type="button" class="themereset accimg-btn' . theme_mb2nl_bsfcls(1,'','between','center') . '">';
	$output .= '<span class="accimg-title mb-0 h4' . $tcls . theme_mb2nl_bsfcls(2) . '">' . $title . '</span>';
	$output .= '<span class="accimg-plus' . theme_mb2nl_bsfcls(2,'','','center') . '"></span>';
	$output .= '</button>';
	$output .= '</div>';

	$output .= '<div class="accimg-content position-relative">';
	$output .= '<div class="accimg-content-inner">';
	$output .= '<div class="accimg-text">' . urldecode($content) . '</div>';	
	$output .= '<div class="accimg-image">';
	$output .= '<img class="accimg-image-src" src="" alt="">';
	$output .= '</div>'; // accimg-image
	$output .= '</div>';
	$output .= '</div>';
	$output .= '</div>'; // accimg-item

	$output .= '</div>';
	$output .= '</div>';

	return $output;
}
