<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2nl
 * @copyright 2017 - 2020 Mariusz Boloz (https://mb2themes.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */


defined('MOODLE_INTERNAL') || die();


// Message displayed to the user when they choose this theme.
$string['choosereadme'] = 'Hey, I\'m New Learning';


// Human readable name of the plugin.
$string['pluginname'] = 'New Learning';


// Global
$string['bold'] = 'Bold';
$string['bolder'] = 'Bolder';
$string['bottom'] = 'Bottom';
$string['center'] = 'Center';
$string['dark'] = 'Dark';
$string['ddmenu'] = 'Drop Down menu';
$string['default'] = 'Default';
$string['description'] = 'Description';
$string['fade'] = 'Fade';
$string['general'] = 'General';
$string['global'] = 'Global';
$string['header'] = 'Header';
$string['headings'] = 'Headings';
$string['hide'] = 'Hide';
$string['icon'] = 'Icon';
$string['icondesc'] = 'Glyphicon, Font Awesome or PE-icon-7-stroke icon name, e.g. \'fa-envelope\'.';
$string['image'] = 'Image';
$string['inherit'] = 'Inherit';
$string['left'] = 'Left';
$string['light'] = 'Light';
$string['lighter'] = 'Lighter';
$string['link'] = 'Link';
$string['links'] = 'Links';
$string['margindesc'] = 'Margin: top right bottom left.';
$string['menu'] = 'Menu';
$string['menu'] = 'Menu';
$string['name'] = 'Name';
$string['no'] = 'No';
$string['none'] = 'None';
$string['normal'] = 'Normal';
$string['openlink'] = 'Open Link';
$string['openlinkblank'] = 'In a new window';
$string['openlinkself'] = 'In the same window';
$string['options'] = 'Options';
$string['ordering'] = 'Ordering';
$string['orderingdesc'] = 'Leave it empty to use default ordering.';
$string['right'] = 'Right';
$string['settingslink'] = 'Theme Settings';
$string['show'] = 'Show';
$string['slide'] = 'Slide';
$string['style'] = 'Style';
$string['subtitle'] = 'Sub Title';
$string['text'] = 'Text';
$string['textdesc'] = 'Optional text.';
$string['title'] = 'Title';
$string['top'] = 'Top';
$string['url'] = 'Url';
$string['yes'] = 'Yes';
$string['loading'] = 'Loading...';


// Check plugins
$string['mb2shortcodes_filter_plugin'] = '<strong>Mb2 Shortcodes Filter</strong> plugin must be <strong>installed</strong> and <strong><u>activated</u></strong>. Please see <a href="https://mb2themes.com/docs/new-learning/#sc_filter" target="_blank">documentation</a>.';
$string['mb2shortcodes_button_plugin'] = '<strong>Mb2 Shortcodes Button</strong> plugin must be installed. Please see <a href="https://mb2themes.com/docs/new-learning/#sc_button" target="_blank">documentation</a>.';
$string['mb2slides_plugin'] = '<strong>Mb2 Slides</strong> plugin must be installed. Please see <a href="https://mb2themes.com/docs/new-learning/#slider_installation" target="_blank">documentation</a>.';
$string['mb2slides_plugin_empty'] = 'Mb2 Slides plugin is installed! Go to plugin page to <a href="{$a->link}">Manage slides</a>.';


// Regions
$string['region-adminblock'] = 'Adminblock';
$string['region-after-slider'] = 'After Slider';
$string['region-after-content'] = 'After Content';
$string['region-before-content'] = 'Before Content';
$string['region-side-pre'] = 'Side Pre';
$string['region-side-post'] = 'Side Post';
$string['region-slider'] = 'Slider';
$string['region-bottom'] = 'Bottom';
$string['region-bottom-a'] = 'Bottom A';
$string['region-bottom-b'] = 'Bottom B';
$string['region-bottom-c'] = 'Bottom C';
$string['region-bottom-d'] = 'Bottom D';
$string['region-content-top'] = 'Content Top';
$string['region-content-bottom'] = 'Content Bottom';


// Frontend
$string['logininfo'] = 'Forgot your username or password?';
$string['foldernoexists'] = 'Images folder does not exists.';
$string['folderisempty'] = 'Images folder is empty.';
$string['adminblockinfo'] = 'Blocks placed in this region will be visible only for admin users.';
$string['entercourse'] = 'Enter this course';
$string['showsidebar'] = 'Show sidebars';
$string['hidesidebar'] = 'Hide sidebars';
$string['recyclebin'] = 'Recycle bin';
$string['eventmonitoring'] = 'Event monitoring';
$string['livelogs'] = 'Live logs';
$string['courseparticipation'] = 'Course participation';
$string['coursemanagement'] = 'Course management';
$string['coursedashboard'] = 'Course dashboard';
$string['studentsandyou'] = '{$a->students} and you';
$string['popularlinks'] = 'Popular links:';
$string['readmore'] = 'Read more';
$string['frontpagebuilder'] = 'Front page builder';
$string['hidden'] = 'Hidden';
$string['noprice'] = 'Free';
$string['nocourseincategory'] = 'No courses';
$string['mybookmarks'] = 'My bookmarks';
$string['wentwrong'] = 'Something went wrong';
$string['bkmarklimit'] = 'You may add up to {$a->limit} bookmarks';
$string['layoutgrid'] = 'Grid layout';
$string['layoutlist'] = 'List layout';
$string['certificate'] = 'Certificate';
$string['register'] = 'Register';
$string['strftimedatemonthabbr'] = '%d %b %Y';


// Settings tabs
$string['configtitle'] = 'New Learning';
$string['settingsgeneral'] = 'General';
$string['settingsfeatures'] = 'Features';
$string['settingsnav'] = 'Menus';
$string['settingssocial'] = 'Social';
$string['settingsfonts'] = 'Fonts';
$string['settingstypography'] = 'Typography';
$string['settingsstyle'] = 'Style';
$string['allsettings'] = 'All settings';


// Settings panel
$string['documentation'] = 'Documentation';
$string['morethemes'] = 'More Themes';
$string['urldoc'] = 'https://mb2themes.com/docs/new-learning';
$string['urlmore'] = 'https://themeforest.net/user/marbol2/portfolio';


// Settings general
$string['logo'] = 'Logo and Favicon';
$string['favicon'] = 'Favicon';
$string['logoimg'] = 'Logo Image';
$string['logow'] = 'Logo Width (px)';
$string['logowdesc'] = 'Logo width in pixels. Logo height will be set automatically.';
$string['logotitle'] = 'Logo Title Text';
$string['logotitledesc'] = 'Logo link "title" attribute. Require for SEO.';
$string['logoalttext'] = 'Logo Image Alternative Text';
$string['logoalttextdesc'] = 'Logo image "alt" attribute. Require for SEO.';
$string['pagewidth'] = 'Page Width (px)';
$string['langpos'] = 'Language List Position';
$string['langmargin'] = 'Language List Margin';
$string['sidebarpos'] = 'Sidebars Position';
$string['classic'] = 'Classic';
$string['layout'] = 'Layout';
$string['layoutfw'] = 'Full width';
$string['layoutfx'] = 'Boxed';
$string['regionnogrid'] = 'Disable Bs Grid for Regions';
$string['blockstyle'] = 'Block Region Class';
$string['blockstyledesc'] = 'Custom css class for block regions. Css class for each region ("regionName:className") must be placed in a new line.';
$string['footer'] = 'Footer';
$string['foottext'] = 'Footer Content';
$string['footlogin'] = 'Login Info in Footer';
$string['regions'] = 'Block Regions';
$string['coursesettings'] = 'Courses';
$string['courseplimg'] = 'Course Placeholder Image';
$string['coursebtn'] = 'Enter Course Button';
$string['coursestudentscount'] = 'Enrolled Students';
$string['studentsroleid'] = 'Students Role ID';
$string['coursestartdate'] = 'Course start date';
$string['faviconimg'] = 'Favicon';
$string['favicondesc'] = 'Upload favicon image in "ico" format.';
$string['coursescls'] = 'Course Css Class';
$string['coursesclsdesc'] = 'Custom css class for courses. Css class for each course ("courseID:className") must be placed in a new line.';
$string['cbannerstyle'] = 'Course banner';
$string['cbannertitle'] = 'Course name';
$string['sidebarbtn'] = 'Show/Hide Sidebars';
$string['sidebaryesshow'] = 'Yes and show sidebars';
$string['sidebaryeshide'] = 'Yes and hide sidebars';
$string['courseswitchlayout'] = 'Course Layout Switcher';
$string['coursegridfp'] = 'Course Grid on Frotpage';
$string['coursegridcat'] = 'Course Grid on Category Page';
$string['headercontent'] = 'Header Content';
$string['headercontentmt'] = 'Header Content Margin Top (px)';
$string['headercontentdesc'] = 'Each line consists separated by pipe characters "|":<br>text::optional icon name|optional url::"1" to open link in a new window|language code or comma-separated codes|"1" to show text for logged in users only or "2" to show text for none logged in users only.<br>For example:<pre>Text with icon::fa-life-ring
Link with icon open in a new window::fa-link|http://example.com::1
English text||en
Spanish link text|http://example.com|es
English and Spanish text||en,es
Text for logged in users|||1
Text for guests|||2</pre>';
$string['frontpage'] = 'Front Page';
$string['slider'] = 'Slider';


// Settings navigation
$string['navatype'] = 'Animation type';
$string['navatypefade'] = 'Fade';
$string['navatypeslide'] = 'Slide';
$string['navaspeed'] = 'Animation speed (ms)';
$string['navddwidth'] = 'Dropdown items width (px)';
$string['langinmenu'] = 'Languages in menu';
$string['mycinmenu'] = 'My courses in menu';
$string['myclimit'] = 'Course name words limit';
$string['stickynav'] = 'Sticky navigation';
$string['stickymobilenav'] = 'Sticky navigation on mobile';
$string['navicon'] = 'Icon Navigation';
$string['urlnw'] = 'Open in a New Window';
$string['naviconfsize'] = 'Icon Size (px)';
$string['navcls'] = 'Menu Item Class';
$string['navclsdesc'] = 'You may set different css class for different menu items and then styled it. Use "itemLabel:cssClass", e.g. "Courses:myCustoClass". Classess for each menu item must be placed in a new line.';
$string['mainmenu'] = 'Main Menu';


// Settings social
$string['socillist'] = 'Social List';
$string['socialheader'] = 'Header Icons';
$string['socialfooter'] = 'Footer Icons';
$string['sociallinknw'] = 'Open Links in a New Widnow';
$string['socialtt'] = 'Tooltip';
$string['socialmargin'] = 'Icon List Top Margin (px)';


// Settings features
$string['loadingscreen'] = 'Loading Screen';
$string['spinnerw'] = 'Spinner Image Size (px)';
$string['ganaid'] = 'Tracking ID';
$string['ganaiddesc'] = 'Google Analytics Tracking ID: "UA-XXXXX-Y"';
$string['ganatitle'] = 'Tracking Code';
$string['ganaasync'] = 'Alternative Async Tracking';
$string['loginform'] = 'Login Form';
$string['loginsearchform'] = 'Login and Search Form';
$string['loginlink'] = 'Form Link';
$string['loginpage'] = 'Custom Login page';
$string['forgotpage'] = 'Forgot password/username page';
$string['logintext'] = 'Login Form Text';
$string['signuplink'] = 'Register button';
$string['signuppage'] = 'Custom register page url';
$string['sitemenu'] = 'Site Menu';
$string['roleshortname'] = 'Teacher Role Shortname';
$string['teacheremail'] = 'Teacher Email';
$string['teachermessage'] = 'Teacher Message Link';
$string['coursepanel'] = 'Course Panel';
$string['sitemnuitems'] = 'Site Menu Items';
$string['customsitemnuitems'] = 'Custom Menu Items';
$string['sitemnuitemsdesc'] = 'Comma separated site menu items. You may add the following items:<ul><li>dashboard - link to my dashboard</li><li>frontpage - link to front page</li><li>calendar - link to callendar page</li><li>badges - link to my badges pages</li><li>courses - link to list of all courses</li><li>addcourse - link to new course form</li><li>addcategory - link to new category form</li><li>editcourse - link to course edit form</li><li>editcategory - link to category edit form</li></ul>';
$string['cpaneldesclimit'] = 'Course Description Words Limit';
$string['searchlinks'] = 'Popular Links';
$string['searchlinksdesc'] = 'You can configure a links here to be shown beflow search form. Each line consists of some link text, a link URL (optional), a tooltip title (optional) and a language code or comma-separated list of codes (optional, for displaying the line to users of the specified language only), separated by pipe characters. For example:<pre>All courses|http://example.com
Documentation|http://example.com" target="_blank
FAQ|http://example.com</pre>';
$string['loginlinktopage'] = 'Link to Login Page';
$string['bookmarks'] = 'Bookmarks';
$string['bookmarkslimit'] = 'Bookmarks Limit';
$string['customsitemenudesc'] = 'Each line consists separated by pipe characters "|":<br>text::icon name|url::"1" to open link in a new window|language code or comma-separated codes.<br>For example:<pre>Link with icon::fa-life-ring|http://example.com
Link with icon open in a new window::fa-link|http://example.com::1
Spanish link text::fa-tag|http://example.com|es</pre>';
$string['certificatestr'] = 'Certificate String';
$string['certificatelinks'] = 'Custom Certificate Links';
$string['certificatelinksdesc'] = 'Each line consists separated by pipe characters (|) course_ID|certificate_url. For example:<br><pre>2|https://www.accredible.com/000001</pre>';


// Settings fonts
$string['ficonfa'] = 'Font Awesome';
$string['ficon7stroke'] = 'Stroke Icons 7';
$string['gfonts'] = 'Google Web Fonts';
$string['nfonts'] = 'Normal Fonts';
$string['nfont'] = 'Normal Font';
$string['gfont'] = 'Google Font';
$string['fontname'] = 'Font Name';
$string['fontstyle'] = 'Font Style';
$string['fontsubset'] = 'Font Subset';
$string['cfont'] = 'Custom font';
$string['cfontname'] = 'Font name';
$string['cfontfiles'] = 'Font files';
$string['cfontfilesdesc'] = 'Upload font files in the following formats: woff2, woff, ttf.';


// Settings style
$string['colors'] = 'Colors';
$string['accentcolor'] = 'Accent Color';
$string['textcolor'] = 'Text Color';
$string['linkcolor'] = 'Links Color';
$string['linkhcolor'] = 'Links Hover Color';
$string['headingscolor'] = 'Headings Color';
$string['pagestyle'] = 'Page';
$string['bgcolor'] = 'Background Color';
$string['bgimage'] = 'Background Image';
$string['bgpos'] = 'Background Position';
$string['bgsize'] = 'Background Size';
$string['bgrepeat'] = 'Background Repeat';
$string['bgattachment'] = 'Background Attachment';
$string['pbgdesc'] = 'To see page background color or image you need ot use \'Boxed\' page layout.';
$string['strip1'] = 'Strip left light';
$string['strip2'] = 'Strip left dark';
$string['pbgpre'] = 'Predefined Background';
$string['bcstyle'] = 'Before Content';
$string['acstyle'] = 'After Content';
$string['asstyle'] = 'After Slider';
$string['colorscheme'] = 'Color Scheme';
$string['sectionpadding'] = 'Top,Bottom Padding';
$string['sectionpaddingdesc'] = 'Comma separated padding top and bottom in pixels, e.g. \'20,20\'.';
$string['imgdefault'] = 'Default image';
$string['headerstyleheading'] = 'Header';
$string['headerstyle'] = 'Header Style';
$string['headertoolstype'] = 'Header Tools Type';
$string['navbarplugin'] = 'Navbar Plugin';
$string['toolsicon'] = 'Icons';
$string['toolstext'] = 'Text';
$string['scustomcssstyleheading'] = 'Custom Css Style';
$string['customcss'] = 'Custom Css Code';
$string['textcolor_lighten'] = 'Text lighten color';


// Settings typography
$string['ffamily'] = 'Font';
$string['fsize'] = 'Font Size (px)';
$string['fweight'] = 'Font Weight';
$string['gfont'] = 'Google Font';
$string['hsize'] = 'Size H';
$string['fstyle'] = 'Font Style';
$string['ttransform'] = 'Text Transform';
$string['uppercase'] = 'Uppercase';
$string['capitalize'] = 'Capitalize';
$string['lowercase'] = 'Lowercase';
$string['italic'] = 'Italic';
$string['oblique'] = 'Oblique';
$string['celtypo'] = 'Custom Elements';
$string['celsel'] = 'Css Selectors';
$string['celseldesc'] = 'Add css selector or comma separated multiple selectors for which you want to set custom font family or font weight. E.g. "h1, .some-title, .custom-class".';


// Settings pages
$string['cloginpage'] = 'Custom Login Page';
$string['loginlogodesc'] = 'Leave it empty to use default logo on login page.';
$string['pagecls'] = 'Page Class';
$string['pageclsdesc'] = 'Custom css class for pages. Css class for each page ("pageID:className") must be placed in a new line.';
$string['coursecls'] = 'Course Page Class';
$string['courseclsdesc'] = 'Custom css class for course pages. Css class for each course ("courseID:className") must be placed in a new line.';


// Settings features
$string['loadingscr'] = 'Loading Screen';
$string['loadingscrdesc'] = 'Loading screen is NOT visible for admin user.';
$string['loadinglogodesc'] = 'Leave it empty to use default logo on loading page.';
$string['loadinghide'] = 'Hide Screen After (ms)';
$string['scrolltt'] = 'Scroll to Top';
$string['scrollspeed'] = 'Scroll Speed (ms)';

// Deprecated
$string['pagelogin'] = 'Deprecated';
$string['socialmargindesc'] = 'Deprecated';
$string['logom'] = 'Deprecated';
$string['coursepanelpos'] = 'Deprecated';
$string['coursepanelpossitemenu'] = 'Deprecated';
$string['coursepanelposcontent'] = 'Deprecated';
$string['region-banner-top'] = 'Deprecated';
$string['region-banner-bottom'] = 'Deprecated';
$string['mb2slider_plugin'] = 'Deprecated';
