<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2nl
 * @copyright 2017 - 2022 Mariusz Boloz (mb2moodle.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */

defined('MOODLE_INTERNAL') || die();

$PAGE->requires->js_call_amd('theme_mb2nl/toc', 'courseTocScroll');
$footThemeContent =  theme_mb2nl_theme_setting($PAGE, 'foottext');
$footContent = format_text($footThemeContent, FORMAT_HTML);

?>
<div class="fsmod-course">
<div id="fsmod-header">
	<div class="fsmod-header-inner flexcols position-relative">
		<div class="fsmod-ctitle h5 mb-0"><?php echo format_text($COURSE->fullname, FORMAT_HTML); ?></div>
		<div class="fsmod-header-links<?php echo theme_mb2nl_bsfcls(1,'row','','center');?>">
			<?php echo theme_mb2nl_panel_link('content', true, false); ?>
			<?php echo theme_mb2nl_note_link2form(true, true); ?>
		</div>
		<?php echo theme_mb2nl_full_screen_module_backlink(); ?>
	</div>
</div>
<div id="theme-main-content" class="fsmod-wrap">
	<?php echo theme_mb2nl_tgsdb(); ?>
	<div class="fsmod-course-content">
		<div id="main-content">
			<?php //echo theme_mb2nl_fullscreen_toggle(); ?>
			<?php echo theme_mb2nl_course_progressbar(); ?>
			<section id="region-main" class="content-col">
				<div id="page-content">	
					<div class="content-a">				
						<?php echo $OUTPUT->page_heading_button(); ?>
						<?php echo $OUTPUT->course_content_header(); ?>
						<?php echo theme_mb2nl_activityheader(true); ?>
						<?php if (theme_mb2nl_isblock($PAGE, 'content-top')) : ?>
							<?php echo $OUTPUT->blocks('content-top', theme_mb2nl_block_cls($PAGE, 'content-top','none')); ?>
						<?php endif; ?>
						<?php echo $OUTPUT->main_content(); ?>
						<?php if (theme_mb2nl_isblock($PAGE, 'content-bottom')) : ?>
							<?php echo $OUTPUT->blocks('content-bottom', theme_mb2nl_block_cls($PAGE, 'content-bottom','none')); ?>
						<?php endif; ?>
					</div>
					<div class="content-b pt-1">
						<?php echo theme_mb2nl_theme_setting($PAGE,'coursenav') ? theme_mb2nl_customnav() : $OUTPUT->activity_navigation(); ?>
						<?php echo $OUTPUT->course_content_footer(); ?>
					</div>
				</div>
			</section>
			<footer class="fsmod-footer">
				<p class="mb-1"><?php echo $footContent; ?></p>
				<?php echo theme_mb2nl_language_list('footer'); ?>
			</footer>
		</div>		
	</div>
</div>
</div>
<?php echo $OUTPUT->standard_after_main_region_html(); ?>
<?php echo $OUTPUT->theme_part('footer', array('sidebar'=>false)); ?>