<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2nl
 * @copyright 2017 - 2022 Mariusz Boloz (mb2moodle.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */

defined('MOODLE_INTERNAL') || die();

$users = theme_mb2nl_dashboard_users();
$users_active = theme_mb2nl_dashboard_activeusers();
$users_online = theme_mb2nl_dashboard_onlineusers(10);
$onlinepct = round($users_online/$users,2);
$activepct = round($users_active/$users,2);

//print_r(theme_mb2nl_get_all_teachers(array(),'u.id'));
$mycourses = count(enrol_get_my_courses());
$mycinprg = theme_mb2nl_mycourses_timeline();
$mycinprgprc = round($mycinprg/$mycourses, 2);

$myccmpl = theme_mb2nl_mycourses_timeline(COURSE_TIMELINE_PAST);
$myccmplprc = round($myccmpl/$mycourses, 2);

?>
<div class="container-fluid">
	<div class="row">
		<div class="col-md-12">
			<div class="<?php echo theme_mb2nl_bsfcls(1,'wrap','center','center'); ?>">
				<?php echo theme_mb2nl_chart_semicircle(1, theme_mb2nl_dashboard_users(), get_string('users'),'#1565C0'); ?>
				<?php echo theme_mb2nl_chart_semicircle($activepct, $users_active, get_string('activeusers'),'#1565C0'); ?>
				<?php echo theme_mb2nl_chart_semicircle($onlinepct, $users_online, get_string('onlineusers','theme_mb2nl'),'#1565C0'); ?>
			</div>
		</div>
	</div>
</div>