<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package   theme_mb2nl
 * @copyright 2017 - 2022 Mariusz Boloz (mb2moodle.com)
 * @license   Commercial https://themeforest.net/licenses
 *
 */

defined('MOODLE_INTERNAL') || die();

$socilaTt = theme_mb2nl_theme_setting($PAGE, 'socialtt' ) == 1 ? 'top' : '';
$footct = format_text(theme_mb2nl_theme_setting($PAGE, 'foottext'), FORMAT_HTML);

?>
<!-- </div> //end #page-b -->
<!-- </div> #page -->
<footer class="login-footer">
    <div class="container-fluid">
        <div class="row">
        <div class="col-md-12">
            <div class="footer-inner">
                <p class="mb-2"><?php echo $footct; ?></p>
                <?php echo theme_mb2nl_language_list('footer'); ?>
                <?php if (theme_mb2nl_theme_setting( $PAGE, 'socialfooter' ) == 1) : ?>
                <div class="footer-social">
                    <?php echo theme_mb2nl_social_icons(array('tt'=>$socilaTt,'pos'=>'footer')); ?>
                </div>
                <?php endif; ?>
            </div>
        </div>
        </div>
    </div>
</footer>
</div> <!--  end pagelayout-content --> 
</div> <!--  end pagelayout-b -->
</div> <!--  end .pagelayout -->
<?php echo $OUTPUT->theme_part('region_adminblock'); ?>
</div><!-- end #page-outer -->
<?php echo $OUTPUT->theme_part('course_panel'); ?>
<?php echo theme_mb2nl_note_moadalform(); ?>
<?php echo theme_mb2nl_php2js(); ?>
<?php echo $OUTPUT->standard_end_of_body_html(); ?>
</body>
</html>
