<?php

defined('MOODLE_INTERNAL') || die();

mb2_add_shortcode('accordionimg', 'mb2_shortcode_accordionimg');
mb2_add_shortcode('accordionimg_item', 'mb2_shortcode_accordionimg_item');

function mb2_shortcode_accordionimg($atts, $content= null){

	global $PAGE;

	extract(mb2_shortcode_atts( array(
		'custom_class' => '',
		'navw' => 280,
		'space' => 2,
		'vspace' => 1,
		'tfs' => 1.4,
		'tfw' => 'global',
		'tcolor' => '',
		'bcolor' => '',
		'pluscolor' => '',
		'mt' => 0,
		'mb' => 30,
		), $atts)
	);

	$output = '';
	$style = '';
	$cls = '';

	$GLOBALS['mb2acctfw'] = $tfw;

	$cls .= $custom_class ? ' ' . $custom_class : '';

	$style .= ' style="';
	$style .= 'margin-top:' . $mt . 'px;';
	$style .= 'margin-bottom:' . $mb . 'px;';
	$style .= '--mb2-pb-accimg-navw:' . $navw . 'px;';
	$style .= '--mb2-pb-accimg-space:' . $space . 'rem;';
	$style .= '--mb2-pb-accimg-vspace:' . $vspace . 'rem;';	
	$style .= '--mb2-pb-accimg-tfs:' . $tfs . 'rem;';
	$style .= $tcolor ? '--mb2-pb-accimg-tcolor:' . $tcolor . ';' : '';
	$style .= $bcolor ? '--mb2-pb-accimg-bcolor:' . $bcolor . ';' : '';
	$style .= $pluscolor ? '--mb2-pb-accimg-pluscolor:' . $pluscolor . ';' : '';	
	$style .= '"';

	$output .= '<div class="mb2-pb-accordionimg' . theme_mb2nl_bsfcls(1,'','between','center') . $cls . '"' . $style . '>';
	$output .= '<div class="accimg-nav">';
	$output .= mb2_do_shortcode($content);
	$output .= '</div>';
	$output .= '<div class="accimg-img-preview" aria-hidden="true">';
	$output .= '<div class="accimg-preview-inner">';

	// Get carousel content for sortable elements
	$regex = '\\[(\\[?)(accordionimg_item)\\b([^\\]\\/]*(?:\\/(?!\\])[^\\]\\/]*)*?)(?:(\\/)\\]|\\](?:([^\\[]*+(?:\\[(?!\\/\\2\\])[^\\[]*+)*+)\\[\\/\\2\\])?)(\\]?)';
	preg_match_all( "/$regex/is", $content, $match );
	$accitems = $match[0];
	$i = 0;

	foreach($accitems as $item)
	{
		$itematts = shortcode_parse_atts($item);
		$i++;

		$output .= '<div class="accimg-preview accimg-preview-'. $i .'">';
		$output .= '<img src="' . theme_mb2nl_lazy_plc() . '" class="lazy" data-src="' . $itematts['image'] . '" alt="' . strip_tags(format_text( $itematts['title'], FORMAT_HTML )) . '">';
		$output .= '</div>';
	}

	$output .= '</div>';
	$output .= '</div>';
	$output .= '</div>';

	unset( $GLOBALS['mb2acctfw'] );
	unset( $GLOBALS['accitem'] );

	return $output;

}





function mb2_shortcode_accordionimg_item($atts, $content= null){
	extract(mb2_shortcode_atts( array(
		'title' => 'Accordion title here',
		'image' => theme_mb2nl_page_builder_demo_image('800x600')
		), $atts)
	);

	$output = '';
	$show = '';
	$tcls = ' fw' . $GLOBALS['mb2acctfw'];
	$expanded = 'false';
	$style = '';

	// Get accordion ids
	$accid = uniqid( 'accitem_' );

	// Define accordion number
	if ( isset( $GLOBALS['accitem'] ) )
	{
		$GLOBALS['accitem']++;
	}
	else
	{
		$GLOBALS['accitem'] = 1;
	}

	// Check if is active
	if( $GLOBALS['accitem'] == 1 )
	{
		$show = ' show';
		$expanded = 'true';
	}

	$title = format_text( $title, FORMAT_HTML );
	
	$output .= '<div class="accimg-item' . $show . '" data-num="' . $GLOBALS['accitem'] . '">';
	$output .= '<div class="accimg-header">';
	$output .= '<button type="button" class="themereset accimg-btn' . theme_mb2nl_bsfcls(1,'','between','center') . '" aria-expanded="' . $expanded . '" aria-controls="' . $accid . '">';
	$output .= '<span class="accimg-title mb-0 h4' . $tcls . theme_mb2nl_bsfcls(2) . '">' . $title. '</span>';
	$output .= '<span class="accimg-plus' . theme_mb2nl_bsfcls(2,'','','center') . '"></span>';
	$output .= '</button>'; // accimg-header
	$output .= '</div>'; // accimg-header
	$output .= '<div id="' . $accid . '" class="accimg-content position-relative">';
	$output .= '<div class="accimg-content-inner">';
	$output .= '<div class="accimg-text">';
	$output .= theme_mb2nl_check_for_tags($content, 'iframe') ? $content : mb2_do_shortcode(format_text($content, FORMAT_HTML));
	$output .= '</div>'; // accimg-text
	$output .= '<div class="accimg-image">';
	$output .= '<img src="' . theme_mb2nl_lazy_plc() . '" class="accimg-image-src lazy" data-src="' . $image . '" alt="' . strip_tags($title) . '">';
	$output .= '</div>'; // accimg-image
	$output .= '</div>'; // accimg-content-inner
	$output .= '</div>'; // accimg-content
	$output .= '</div>'; // accimg-item

	return $output;
}
