<?php

defined('MOODLE_INTERNAL') || die();

mb2_add_shortcode('tabs', 'mb2_shortcode_tab');
mb2_add_shortcode('tab_item', 'mb2_shortcode_tab_item');

function mb2_shortcode_tab($atts, $content = null ) {

	$unique = mt_rand();

	extract( mb2_shortcode_atts( array(
		  'tabpos' => 'top',
		  'height'=>'200',
		  'custom_class' => '',
		  'margin' => ''
	), $atts ));


	$regex = '\\[(\\[?)(tab_item)\\b([^\\]\\/]*(?:\\/(?!\\])[^\\]\\/]*)*?)(?:(\\/)\\]|\\](?:([^\\[]*+(?:\\[(?!\\/\\2\\])[^\\[]*+)*+)\\[\\/\\2\\])?)(\\]?)';
	preg_match_all("/$regex/is",$content,$match);
	$content = $match[0];


	// Define tabs style
	$style = ' style="';
	$style .= $tabpos !== 'top' ? 'min-height:' . $height . 'px;' : 'min-height:0;';
	$style .= $margin !='' ? 'margin:' . $margin . 'px;' : '';
	$style .= '"';


	$cls = $tabpos;
	$cls .= $custom_class ? ' ' . $custom_class : '';


	$output = '<div class="theme-tabs tabs ' . $cls . '"' . $style . '>';
	$i = -1;


	$output .= '<ul class="nav nav-tabs">';

	foreach($content as $c){ $i++;
		$unique_id = 'tab_tab_' . $unique . '_' . $i;
		preg_match('/\[tab_item ([^\\]\\/]*(?:\\/(?!\\])[^\\]\\/]*)*?)/', $c, $matchattr);
		$attr = shortcode_parse_atts($matchattr[1]);


		$title = $attr['title'];
		$icon = isset($attr['icon']) ? $attr['icon'] : '';

		if($icon){

			// Check what is the icon and set prefix
			// and set preffix
			$isfa = preg_match('@fa-@', $icon);
			$isglyphicon = preg_match('@glyphicon-@', $icon);

			if ($isfa)
			{
				$iconpref = 'fa ';
			}
			elseif($isglyphicon)
			{
				$iconpref = 'glyphicon ';
			}
			else
			{
				$iconpref = '';
			}

			$title = '<i class="'. $iconpref . $icon . '"></i> ' . $title;

		}

		$output .= '<li '.(($i==0) ? 'class="active"' : '').'><a href="#' . $unique_id . '" data-toggle="tab">' . format_text($title, FORMAT_HTML) . '</a></li>';
		$content[$i] = str_replace('[tab_item ','[tab_item '.(($i==0) ? 'class="active"' : '') . ' id="' . $unique_id . '" ', $content[$i]);

	}


	$output .= '</ul>';
	$output .= '<div class="tab-content">';


	foreach($content as $c){
		$output .= mb2_do_shortcode($c);
	}


	$output .= '</div>';
	$output .= '</div>';


	return $output;

}




function mb2_shortcode_tab_item( $atts, $content = null ) {
	extract( mb2_shortcode_atts( array(
		'title' => '',
		'id' =>'',
		'icon' => '',
		'class' =>''
	), $atts ) );


	$output = '<div class="tab-pane ' . $class . '" id="' . $id . '">';

	$output .= mb2_do_shortcode(format_text($content, FORMAT_HTML));

	$output .= '</div>';

	return $output;
}
