<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package    local_mb2builder
 * @copyright  2018 - 2020 Mariusz Boloz (mb2moodle.com/)
 * @license   Commercial https://themeforest.net/licenses
 */

defined( 'MOODLE_INTERNAL' ) || die();

$mb2mm_menus = array(
	'menu_1' => array(
		'name' => 'Demo menu 1',
		'menuitems' => '[{"settings":{"level":"1","label":"Demos","url":"","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"1","columns":"4","width":"aw","cssclass":"","childnum":"4"},"attr":[{"settings":{"level":"2","label":"Home pages","url":"","blank":"0"},"attr":[{"settings":{"level":"3","label":"University classic","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Course hub","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Language school","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"New","hlabelcolor":"rgb(23, 39, 116)","hlabelbgcolor":"rgb(119, 217, 112)","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"School classic","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"School creative","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Course hub creative","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"University modern","url":"#","blank":"0"},"attr":[]}]},{"settings":{"level":"2","label":"Course pages","childnum":"5","url":"","blank":"0"},"attr":[{"settings":{"level":"3","label":"Course homepage 1","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"New","hlabelcolor":"rgb(23, 39, 116)","hlabelbgcolor":"rgb(119, 217, 112)","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"Course homepage 2","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"New","hlabelcolor":"rgb(23, 39, 116)","hlabelbgcolor":"rgb(119, 217, 112)","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"Course homepage classic","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Full screen/focus view","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"Course index page","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"Hot","hlabelcolor":"rgb(6, 0, 71)","hlabelbgcolor":"rgb(255, 95, 158)","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"Course index A-Z","url":"#","blank":"0"},"attr":[]}]},{"settings":{"level":"2","label":"Course pages - before enrol","childnum":"0","url":"","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[{"settings":{"level":"3","label":"Tab layout","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"Top","hlabelcolor":"rgb(4, 0, 154)","hlabelbgcolor":"rgb(62, 219, 240)","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"Tab layout with bg image","childnum":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"New","hlabelcolor":"rgb(23, 39, 116)","hlabelbgcolor":"rgb(119, 217, 112)","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":"","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"One page layout","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":""},"attr":[]},{"settings":{"level":"3","label":"One page layout light","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"One page layout dark header","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"One page layout transparent header","url":"#","blank":"0"},"attr":[]}]},{"settings":{"level":"2","label":"Demo image","url":"","blank":"0","hidetext":"1","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"https://dummyimage.com/420x680/eee/333.jpg","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":"el_onmobile0"},"attr":[]}]},{"settings":{"level":"1","label":"Features","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":"","url":"#","blank":"0","childnum":"0"},"attr":[]},{"settings":{"level":"1","label":"All courses","url":"#","blank":"0","childnum":"0"},"attr":[]},{"settings":{"level":"1","label":"Blog","childnum":"0","url":"#","blank":"0"},"attr":[]}]',
		'attribs' => '{"openon":1,"rounded":"0","ddcolor":"","ddsubcolor":"","ddiconcolor":"","ddbgcolor":"","ddbordercolor":"","ddhcolor":"","ddsubhcolor":"","ddiconhcolor":"","ddhbgcolor":"","mcminwidth":240,"mcminheight":80,"hfs":"1","hfw":"var(--mb2-pb-fwbold)","htu":"1","hifs":"1","mcitemstyle":"border","mcitemcolor":"","mcitemsubcolor":"","mcitemiconcolor":"","mcitembordercolor":"","mcitemhcolor":"","mcitemsubhcolor":"","mcitemiconhcolor":"","mcitemhbgcolor":"","m1lcolor":"","m1subcolor":"","m1iconcolor":"","m1lbgcolor":"","m1lbordercolor":"","m1locolor":"","m1lbgocolor":"","m1subocolor":"","m1iconocolor":""}'
		),
	'menu_2' => array(
		'name' => 'Demo menu 2',
		'menuitems' => '[{"settings":{"level":"1","label":"Portal","childnum":"4","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"rgba(0, 18, 51, 0.96)","bghcolor":"","mega":"1","columns":"4","width":"cw","cssclass":"","columnscw":"1","cwidth":"","ccolumns":"1","distcols":"1","sublabel2":"","sublabel2color":"","sublabel2hcolor":"","hsub2color":"","hsub2hcolor":""},"attr":[{"settings":{"level":"2","label":"Overview","childnum":"0","url":"#","blank":"1","hidetext":"0","hcolor":"rgb(251, 133, 0)","hhcolor":"","sublabel":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas et mauris nisl. Nulla hendrerit, augue sit amet lobortis varius, nisl lacus bibendum augue, sed sollicitudin velit massa vitae lectus.","hsubcolor":"rgb(255, 255, 255)","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","cwidth":"","ccolumns":"1","mega":"0","columns":"3","width":"aw","cssclass":"","distcols":"0","sublabel2":"University Website","sublabel2color":"rgb(251, 133, 0)","sublabel2hcolor":"","hsub2color":"rgb(251, 133, 0)","hsub2hcolor":""},"attr":[]},{"settings":{"level":"2","label":"Second column","url":"#","blank":"0","hidetext":"1","hcolor":"rgb(255, 255, 255)","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":"","cwidth":"","ccolumns":"1","distcols":"0"},"attr":[{"settings":{"level":"3","label":"Library","url":"#","blank":"1","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":"awfmegamenulabel"},"attr":[]},{"settings":{"level":"3","label":"Library catalogue","url":"#","blank":"1","label__fr":"","sublabel__fr":"","hlabel__fr":"","label__pl":"","sublabel__pl":"","hlabel__pl":"","label__ar":"","sublabel__ar":"","hlabel__ar":"","label__de":"","sublabel__de":"","hlabel__de":"","label__es":"","sublabel__es":"","hlabel__es":""},"attr":[]},{"settings":{"level":"3","label":"Off campus access","url":"#","blank":"1"},"attr":[]},{"settings":{"level":"3","label":"Digital eepository","url":"#","blank":"1","label__fr":"","sublabel__fr":"","hlabel__fr":"","label__pl":"","sublabel__pl":"","hlabel__pl":"","label__ar":"","sublabel__ar":"","hlabel__ar":"","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","mega":"0","columns":"3","width":"aw","cssclass":"","cwidth":"","ccolumns":"1","distcols":"0","label__de":"","sublabel__de":"","hlabel__de":"","label__es":"","sublabel__es":"","hlabel__es":""},"attr":[]}]},{"settings":{"level":"2","label":"Third column","url":"#","blank":"0","childnum":"0","hidetext":"1","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","cwidth":"","mega":"0","columns":"3","distcols":"0","width":"aw","cssclass":""},"attr":[{"settings":{"level":"3","label":"All courses","childnum":"2","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Natural Sciences","childnum":"1","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Engineering","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Business management","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Creative arts and media","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Social sciences","childnum":"0","url":"#","blank":"0"},"attr":[]}]},{"settings":{"level":"2","label":"Fourth column","childnum":"4","url":"#","blank":"0","hidetext":"1","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","cwidth":"","mega":"0","columns":"3","distcols":"0","width":"aw","cssclass":""},"attr":[{"settings":{"level":"3","label":"Site announcements","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"3","label":"Usage tutorials","childnum":"0","url":"#","blank":"1"},"attr":[]},{"settings":{"level":"3","label":"Support","childnum":"0","url":"#","blank":"0"},"attr":[]}]}]},{"settings":{"level":"1","label":"Library","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"1","label":"Courses","childnum":"6","url":"#","blank":"0"},"attr":[{"settings":{"level":"2","label":"All courses","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"2","label":"Engineering","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"2","label":"Natural sciences","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"2","label":"Business management","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"2","label":"Creative arts and media","childnum":"0","url":"#","blank":"0"},"attr":[]},{"settings":{"level":"2","label":"Social sciences","childnum":"0","url":"#","blank":"0"},"attr":[]}]},{"settings":{"level":"1","label":"Support","childnum":"0","url":"#","blank":"0","hidetext":"0","hcolor":"","hhcolor":"","sublabel":"","hsubcolor":"","hsubhcolor":"","sublabel2":"","hsub2color":"","hsub2hcolor":"","hlabel":"","hlabelcolor":"","hlabelbgcolor":"","icon":"","hiconcolor":"","hiconhcolor":"","hiconbgcolor":"","hiconhbgcolor":"","image":"","bgcolor":"","bghcolor":"","cwidth":"","mega":"0","columns":"3","distcols":"0","width":"aw","cssclass":""},"attr":[]}]',
		'attribs' => '{"openon":1,"rounded":"0","ddcolor":"rgb(255, 255, 255)","ddsubcolor":"rgba(255, 255, 255, 0.6)","ddiconcolor":"rgb(255, 255, 255)","ddbgcolor":"rgba(0, 18, 51, 0.96)","ddbordercolor":"rgba(255, 255, 255, 0.1)","ddhcolor":"rgb(255, 255, 255)","ddsubhcolor":"rgba(255, 255, 255, 0.6)","ddiconhcolor":"rgb(255, 255, 255)","ddhbgcolor":"rgb(251, 133, 0)","mcminwidth":200,"mcminheight":80,"mcpadding":"big","hfs":"1","hfw":"var(--mb2-pb-fwbold)","htu":"1","hifs":"1","mcitemstyle":"border","mcitemcolor":"rgb(255, 255, 255)","mcitemsubcolor":"","mcitemiconcolor":"","mcitembordercolor":"rgba(255, 255, 255, 0.102)","mcitemhcolor":"rgb(251, 133, 0)","mcitemsubhcolor":"","mcitemiconhcolor":"","mcitemhbgcolor":"","m1lcolor":"rgb(255, 255, 255)","m1subcolor":"rgba(255, 255, 255, 0.6)","m1iconcolor":"rgb(255, 255, 255)","m1lbgcolor":"rgb(0, 40, 85)","m1lbordercolor":"rgba(255, 255, 255, 0.1)","m1locolor":"rgb(255, 255, 255)","m1lbgocolor":"rgb(0, 18, 51)","m1subocolor":"rgba(255, 255, 255, 0.6)","m1iconocolor":"rgb(255, 255, 255)"}'
		)
);

define( 'LOCAL_MB2MEGAMENU_MENUS', base64_encode( serialize( $mb2mm_menus ) ) );

