<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * @package    local_mb2builder
 * @copyright  2018 - 2020 Mariusz Boloz (mb2moodle.com/)
 * @license   Commercial https://themeforest.net/licenses
 */

defined( 'MOODLE_INTERNAL' ) || die();

$mb2_settings = array(
	'id' => 'pbmainslider',
	'title' => get_string( 'pbmainslider', 'local_mb2builder' ),
	'items' => array(
		array(
			'name' => 'pbmainslider-1',
			'thumb' => 'pbmainslider-1',
			'tags' => 'pbmainslider',
			'data' => '[{"type":"mb2pb_row","settings":{"id":"row","bgcolor":"","bgfixed":"0","colgutter":"none","prbg":"0","scheme":"light","bgimage":"","bordert":"0","borderb":"0","bordertcolor":"#dddddd","borderbcolor":"#dddddd","heroimg":"0","heroimgurl":"","herov":"center","herow":"1200","herohpos":"left","heroml":"0","heromt":"0","heroonsmall":"1","herogradl":"0","herogradr":"0","bgtext":"0","bgtextmob":"0","bgtexttext":"Sample text","btsize":"290","btfweight":"600","btlh":"1","btlspacing":"0","btwspacing":"0","btupper":"0","bth":"left","btv":"center","btcolor":"rgba(0,0,0,.05)","bgvideo":"","rowhidden":"0","rowlang":"","pt":"0","pb":"0","fw":"1","va":"0","parallax":"0","rowaccess":"0","custom_class":"","template":"","wave":"none","wavecolor":"#ffffff","wavepos":"0","wavefliph":"0","wavetop":"0","wavewidth":"100","waveheight":"150","waveover":"1","mt":"0","gradient":"0","graddeg":"45","gradloc1":"0","gradloc2":"100","gradcolor1":"#37E2D5","gradcolor2":"#590696","elname":"Row"},"attr":[{"type":"mb2pb_col","settings":{"id":"column","col":"12","pt":"0","pb":"0","mobcenter":"1","moborder":"0","align":"none","alignc":"none","height":"0","width":"2000","scheme":"light","bgcolor":"","bgimage":"","isfooter":"0","custom_class":"","elname":"Column"},"attr":[{"type":"mb2pb_el","settings":{"id":"pbmainslider","mt":"0","mb":"0","width":"","height":"540","mheight":"80","custom_class":"","columns":"1","gutter":"none","sloop":"1","snav":"1","ctnav":"0","sdots":"1","autoplay":"0","pausetime":"5000","animtime":"800","animtype":"slide","template":"","elname":"Slider"},"attr":[{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"2519","image":"https://dummyimage.com/1900x600/3e3e41/111.jpg","title":"Welcome to New Learning Theme","desc":"Donec imperdiet justo est vel blandit elit pulvinar in Sed nunc","prebg":"strip2","bgcolor":"rgba(255, 255, 255, 0.55)","aligntext":"none","valign":"center","halign":"left","istitle":"1","isdesc":"1","ocolor":"rgba(31, 31, 31, 0.3)","linkbtn":"1","link_target":"0","link":"#","btntype":"success","btnfwcls":"global","btnsize":"lg","btnrounded":"0","btnborder":"0","btnmt":"30","btntext":"","tsize":"2.4","tlh":"small","tfweight":"global","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"rgb(36, 32, 39)","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"","dsize":"1","dlh":"small","dfweight":"global","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"rgb(36, 32, 39)","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"","cwidth":"560","ph":"30","pv":"30","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]},{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"7756","image":"https://dummyimage.com/1900x600/3e3e41/111.jpg","title":"Welcome to New Learning Theme","desc":"Donec imperdiet justo est vel blandit elit pulvinar in Sed nunc","prebg":"strip1","bgcolor":"rgba(0, 0, 0, 0.55)","aligntext":"none","valign":"center","halign":"right","istitle":"1","isdesc":"1","ocolor":"rgba(31, 31, 31, 0.3)","linkbtn":"1","link_target":"0","link":"#","btntype":"primary","btnfwcls":"global","btnsize":"lg","btnrounded":"0","btnborder":"0","btnmt":"30","btntext":"","tsize":"2.4","tlh":"small","tfweight":"global","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"","dsize":"1","dlh":"small","dfweight":"global","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"","cwidth":"560","ph":"30","pv":"30","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]},{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"9953","image":"https://dummyimage.com/1900x600/3e3e41/111.jpg","title":"Welcome to New Learning Theme","desc":"Donec imperdiet justo est vel blandit elit pulvinar in Sed nunc","prebg":"strip1","bgcolor":"rgba(17, 157, 101, 0.55)","aligntext":"center","valign":"bottom","halign":"center","istitle":"1","isdesc":"1","ocolor":"rgba(31, 31, 31, 0.3)","linkbtn":"0","link_target":"0","link":"","btntype":"primary","btnfwcls":"global","btnsize":"lg","btnrounded":"0","btnborder":"0","btnmt":"30","btntext":"","tsize":"2.4","tlh":"small","tfweight":"global","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"","dsize":"1","dlh":"small","dfweight":"global","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"","cwidth":"560","ph":"30","pv":"30","cmt":"0","cmb":"58","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]}]}]}]}]'
		),
		array(
			'name' => 'pbmainslider-2',
			'thumb' => 'pbmainslider-2',
			'tags' => 'pbmainslider',
			'data' => '[{"type":"mb2pb_row","settings":{"id":"row","bgcolor":"","bgfixed":"0","colgutter":"none","prbg":"0","scheme":"light","bgimage":"","bordert":"0","borderb":"0","bordertcolor":"#dddddd","borderbcolor":"#dddddd","heroimg":"0","heroimgurl":"","herov":"center","herow":"1200","herohpos":"left","heroml":"0","heromt":"0","heroonsmall":"1","herogradl":"0","herogradr":"0","bgtext":"0","bgtextmob":"0","bgtexttext":"Sample text","btsize":"290","btfweight":"600","btlh":"1","btlspacing":"0","btwspacing":"0","btupper":"0","bth":"left","btv":"center","btcolor":"rgba(0,0,0,.05)","bgvideo":"","rowhidden":"0","rowlang":"","pt":"0","pb":"0","fw":"1","va":"0","parallax":"0","rowaccess":"0","custom_class":"","template":"","wave":"none","wavecolor":"#ffffff","wavepos":"0","wavefliph":"0","wavetop":"0","wavewidth":"100","waveheight":"150","waveover":"1","mt":"0","gradient":"0","graddeg":"45","gradloc1":"0","gradloc2":"100","gradcolor1":"#37E2D5","gradcolor2":"#590696","elname":"Row"},"attr":[{"type":"mb2pb_col","settings":{"id":"column","col":"12","pt":"0","pb":"0","mobcenter":"1","moborder":"0","align":"none","alignc":"none","height":"0","width":"2000","scheme":"light","bgcolor":"","bgimage":"","isfooter":"0","custom_class":"","elname":"Column"},"attr":[{"type":"mb2pb_el","settings":{"id":"pbmainslider","mt":"0","mb":"0","width":"","height":"750","mheight":"80","custom_class":"","columns":"1","gutter":"none","sloop":"1","snav":"1","ctnav":"0","sdots":"1","autoplay":"0","pausetime":"5000","animtime":"800","animtype":"slide","template":"","elname":"Slider"},"attr":[{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"2519","image":"https://dummyimage.com/1900x920/3e3e41/111.jpg","title":"Get ready","desc":"To enable new possibilities","prebg":"0","bgcolor":"","aligntext":"none","valign":"center","halign":"left","istitle":"1","isdesc":"1","ocolor":"","linkbtn":"1","link_target":"0","link":"#","btntype":"primary","btnfwcls":"bold","btnsize":"xlg","btnrounded":"0","btnborder":"0","btnmt":"35","btntext":"Start here","tsize":"6.2","tlh":"small","tfweight":"bold","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"rgba(0, 0, 0, 0.6)","dsize":"3","dlh":"small","dfweight":"bold","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"rgba(0, 0, 0, 0.6)","cwidth":"713","ph":"15","pv":"0","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]},{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"8271","image":"https://dummyimage.com/1900x920/3e3e41/111.jpg","title":"Suiting up for your success","desc":"Discover what\'s possible","bgcolor":"","aligntext":"none","valign":"center","halign":"left","istitle":"1","isdesc":"1","ocolor":"","linkbtn":"1","link_target":"1","link":"https://themeforest.net","btntype":"primary","btnfwcls":"bold","btnsize":"xlg","btnrounded":"0","btnborder":"0","btnmt":"35","btntext":"Start here","tsize":"6.2","tlh":"small","tfweight":"bold","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"rgba(0, 0, 0, 0.6)","dsize":"3","dlh":"small","dfweight":"bold","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"rgba(0, 0, 0, 0.6)","cwidth":"2000","ph":"15","pv":"0","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"bottom","herow":"730","heroonsmall":"1","heroml":"24","herohpos":"left","heromt":"0","herogradl":"0","herogradr":"0","elname":"Slider item","prebg":"0"},"attr":[]},{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"416","image":"https://dummyimage.com/1900x920/3e3e41/111.jpg","title":"Creativity that drives innovation","desc":"Reimagining teaching and learning","bgcolor":"","aligntext":"center","valign":"bottom","halign":"center","istitle":"1","isdesc":"1","ocolor":"","linkbtn":"1","link_target":"1","link":"https://example.com","btntype":"primary","btnfwcls":"bold","btnsize":"xlg","btnrounded":"0","btnborder":"0","btnmt":"35","btntext":"Start here with New Learning","tsize":"6.2","tlh":"small","tfweight":"bold","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"rgba(0, 0, 0, 0.6)","dsize":"3","dlh":"small","dfweight":"bold","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"rgba(0, 0, 0, 0.6)","cwidth":"2000","ph":"15","pv":"0","cmt":"0","cmb":"60","heroimg":"0","heroimgurl":"","herov":"center","herow":"1200","heroonsmall":"1","heroml":"0","herohpos":"left","heromt":"0","herogradl":"0","herogradr":"0","elname":"Slider item"},"attr":[]}]}]}]}]'
			),
		array(
			'name' => 'pbmainslider-3',
			'thumb' => 'pbmainslider-3',
			'tags' => 'pbmainslider',
			'data' => '[{"type":"mb2pb_row","settings":{"id":"row","bgcolor":"","bgfixed":"0","colgutter":"none","prbg":"0","scheme":"light","bgimage":"","bordert":"0","borderb":"0","bordertcolor":"#dddddd","borderbcolor":"#dddddd","heroimg":"0","heroimgurl":"","herov":"center","herow":"1200","herohpos":"left","heroml":"0","heromt":"0","heroonsmall":"1","herogradl":"0","herogradr":"0","bgtext":"0","bgtextmob":"0","bgtexttext":"Sample text","btsize":"290","btfweight":"600","btlh":"1","btlspacing":"0","btwspacing":"0","btupper":"0","bth":"left","btv":"center","btcolor":"rgba(0,0,0,.05)","bgvideo":"","rowhidden":"0","rowlang":"","pt":"0","pb":"0","fw":"1","va":"0","parallax":"0","rowaccess":"0","custom_class":"","template":"","wave":"none","wavecolor":"#ffffff","wavepos":"0","wavefliph":"0","wavetop":"0","wavewidth":"100","waveheight":"150","waveover":"1","mt":"0","gradient":"0","graddeg":"45","gradloc1":"0","gradloc2":"100","gradcolor1":"#37E2D5","gradcolor2":"#590696","elname":"Row"},"attr":[{"type":"mb2pb_col","settings":{"id":"column","col":"12","pt":"0","pb":"0","mobcenter":"1","moborder":"0","align":"none","alignc":"none","height":"0","width":"2000","scheme":"light","bgcolor":"","bgimage":"","isfooter":"0","custom_class":"","elname":"Column"},"attr":[{"type":"mb2pb_el","settings":{"id":"pbmainslider","mt":"0","mb":"0","width":"","height":"600","mheight":"80","custom_class":"","columns":"1","gutter":"none","sloop":"1","snav":"1","ctnav":"1","sdots":"1","autoplay":"0","pausetime":"5000","animtime":"800","animtype":"slide","template":"","elname":"Slider"},"attr":[{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"2519","image":"https://dummyimage.com/1900x690/a3a4a8/111.jpg","title":"Use A-Z index to find courses","desc":"Donec imperdiet justo est vel blandit elit pulvinar. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar. Nulla quis lorem ut libero malesuada feugiat. Curabitur aliquet quam id dui posuere blandit. Quisque velit nisi, pretium ut lacinia.","prebg":"0","bgcolor":"rgba(43, 53, 59, 0.7)","aligntext":"none","valign":"center","halign":"left","istitle":"1","isdesc":"1","ocolor":"","linkbtn":"1","link_target":"0","link":"#","btntype":"primary","btnfwcls":"global","btnsize":"normal","btnrounded":"0","btnborder":"0","btnmt":"30","btntext":"","tsize":"2.4","tlh":"small","tfweight":"global","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"","dsize":"1","dlh":"global","dfweight":"global","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"","cwidth":"650","ph":"30","pv":"30","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]},{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"5273","image":"https://dummyimage.com/1900x690/a3a4a8/111.jpg","title":"Discover beautiful courses design","desc":"Donec imperdiet justo est vel blandit elit pulvinar. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar. Nulla quis lorem ut libero malesuada feugiat. Curabitur aliquet quam id dui posuere blandit. Quisque velit nisi, pretium ut lacinia.","prebg":"0","bgcolor":"rgba(43, 53, 59, 0.7)","aligntext":"none","valign":"center","halign":"left","istitle":"1","isdesc":"1","ocolor":"","linkbtn":"1","link_target":"0","link":"#","btntype":"primary","btnfwcls":"global","btnsize":"normal","btnrounded":"0","btnborder":"0","btnmt":"30","btntext":"","tsize":"2.4","tlh":"small","tfweight":"global","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"","dsize":"1","dlh":"global","dfweight":"global","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"","cwidth":"650","ph":"30","pv":"30","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]},{"type":"mb2pb_subel","settings":{"id":"pbmainslider_item","pbid":"2465","image":"https://dummyimage.com/1900x690/a3a4a8/111.jpg","title":"Get more from Moodle theme","desc":"Donec imperdiet justo est vel blandit elit pulvinar. Mauris blandit aliquet elit, eget tincidunt nibh pulvinar. Nulla quis lorem ut libero malesuada feugiat. Curabitur aliquet quam id dui posuere blandit. Quisque velit nisi, pretium ut lacinia.","prebg":"0","bgcolor":"rgba(43, 53, 59, 0.7)","aligntext":"none","valign":"center","halign":"left","istitle":"1","isdesc":"1","ocolor":"","linkbtn":"1","link_target":"0","link":"#","btntype":"primary","btnfwcls":"global","btnsize":"normal","btnrounded":"0","btnborder":"0","btnmt":"30","btntext":"","tsize":"2.4","tlh":"small","tfweight":"global","tlspacing":"0","twspacing":"0","tupper":"0","tcolor":"","tthshadow":"0.06","ttvshadow":"0.04","ttbshadow":"0","ttcshadow":"","dsize":"1","dlh":"global","dfweight":"global","dlspacing":"0","dwspacing":"0","dupper":"0","dmt":"23","dcolor":"","dthshadow":"0.06","dtvshadow":"0.04","dtbshadow":"0","dtcshadow":"","cwidth":"650","ph":"30","pv":"30","cmt":"0","cmb":"0","heroimg":"0","heroimgurl":"","herov":"center","herow":"1368","heroonsmall":"1","heroml":"-75","herohpos":"right","heromt":"-99","herogradl":"1","herogradr":"0","elname":"Slider item"},"attr":[]}]}]}]}]'
		)

	)
);

define( 'LOCAL_MB2BUILDER_IMPORT_BLOCKS_PBMAINSLIDER', base64_encode( serialize( $mb2_settings ) ) );
